Loading...
Searching...
No Matches
CombinedImuFactor.h File Reference

Go to the source code of this file.

## Classes

struct | gtsam::PreintegrationCombinedParams
| Parameters for pre-integration using PreintegratedCombinedMeasurements: Usage: Create just a single Params and pass a shared pointer to the constructor. More...
class | gtsam::PreintegratedCombinedMeasurements
| PreintegratedCombinedMeasurements integrates the IMU measurements (rotation rates and accelerations) and the corresponding covariance matrix. More...
class | gtsam::CombinedImuFactor
| CombinedImuFactor is a 6-ways factor involving previous state (pose and velocity of the vehicle, as well as bias at previous time step), and current state (pose, velocity, bias at current time step). More...
struct | gtsam::traits< PreintegrationCombinedParams >
struct | gtsam::traits< PreintegratedCombinedMeasurements >
struct | gtsam::traits< CombinedImuFactor >

## Namespaces

namespace | gtsam
| Global functions in a separate testing namespace.

## Typedefs

typedef ManifoldPreintegration | gtsam::PreintegrationType

## Detailed Description

Author
  Luca Carlone
  Stephen Williams
  Richard Roberts
  Vadim Indelman
  David Jensen
  Frank Dellaert
  Varun Agrawal